package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Constituency;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;


public class Constituency_File_Impl implements Constituency {
    private final int id;
    private final String name;
    private final String federalState;

    @Override
    public int getId() {
        return id;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public String getFederalState() {
        return federalState;
    }

    public Constituency_File_Impl(int id, String name, String federalState) {
        this.id = id;
        this.name = name;
        this.federalState = federalState;
    }

    @Override
    public MongoDBEntryType getType() {
        return MongoDBEntryType.CONSTIUENCY;
    }

    @Override
    public String toHTML() {
        return "<div class='constituency'>"
            + "<h2>Constituency Details</h2>"
            + "<p><strong>ID:</strong> " + id + "</p>"
            + "<p><strong>Name:</strong> " + name + "</p>"
            + "<p><strong>Federal State:</strong> " + federalState + "</p>"
            + "</div>";
    }
}
